Skip to content

GET Addon Service Details.

GET
/api/web/custom/namespaces/shared/addon_services/{name}
curl --request GET \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/custom/namespaces/shared/addon_services/example \
--header 'Authorization: <Authorization>'

Retrieves addon service information for the given addon service name.

Examples of this operation.

name
required
string

Name Name of the addon service.

A successful response.

Media typeapplication/json
GetAddonServiceDetailsResp

Response shape for addon service details.

object
addon_service_group_display_name
addon_service_group_display_name

Display name of the addon service group.

string
<= 1024 characters
addon_service_group_name
addon_service_group_name

Name of the addon service group.

string
<= 1024 characters
display_name
display_name

Display Name of the addon service.

string
<= 1024 characters
managed_activation
object
notification_preference
object
emails
object
email_ids
email_ids

Email IDs associated with the Addon Subscription.

Array<string>
support_ticket_option
object
no_support_ticket
object
support_ticket_with_custom_template
object
priority
string
default: PRIORITY_UNKNOWN
Allowed values: PRIORITY_UNKNOWN PRIORITY_NORMAL PRIORITY_HIGH PRIORITY_URGENT
service
string
default: SS_UNKNOWN
Allowed values: SS_UNKNOWN SS_ACCOUNT_PROTECTION SS_ADMINISTRATION SS_APPLICATION_TRAFFIC_INSIGHT SS_AUDIT_LOGS_AND_ALERTS SS_AUTHENTICATION_INTELLIGENCE SS_BILLING SS_CLIENT_SIDE_DEFENSE SS_CLOUD_AND_EDGE_SITES SS_DDOS_AND_TRANSIT_SERVICES SS_DISTRIBUTED_APPS SS_DNS_MANAGEMENT SS_LOAD_BALANCERS SS_SHARED_CONFIGURATION SS_WEB_APP_AND_API_PROTECTION SS_OTHER SS_BOT_DEFENSE SS_CDN SS_OBSERVABILITY SS_DELEGATED_ACCESS SS_MULTI_CLOUD_NETWORK_CONNECT SS_MULTI_CLOUD_APP_CONNECT SS_BIG_IP_APM SS_DATA_INTELLIGENCE SS_NGINX_ONE SS_WEB_APP_SCANNING SS_ROUTED_DDOS SS_MOBILE_APP_SHIELD
subscribe_content
object
description
Description

Description of the support ticket.

string
>= 21 characters <= 1024 characters
subject
Subject

Subject of the support ticket.

string
<= 1024 characters
unsubscribe_content
object
description
Description

Description of the support ticket.

string
>= 21 characters <= 1024 characters
subject
Subject

Subject of the support ticket.

string
<= 1024 characters
support_ticket_with_default_template
object
partially_managed_activation
object
self_activation
object
default_tile_name
default_tile_name

Default landing page for the addon service after successful subscription. Value should match name of the navigation tile config object.

Required: YES.

string
<= 32 characters
tier
string
default: NO_TIER
Allowed values: NO_TIER BASIC STANDARD ADVANCED PREMIUM
Example
{
"managed_activation": {
"notification_preference": {
"support_ticket_option": {
"support_ticket_with_custom_template": {
"priority": "PRIORITY_UNKNOWN",
"service": "SS_UNKNOWN"
}
}
}
},
"tier": "NO_TIER"
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example